HomeMicrosoft


Streets & Trips: One or more features can't be installed and setup must exit
fisher65
I purchased Microsoft Streets and Trips 2010 from Staples. When I try to install it, it tells me there are some features it has to install. OK, but after 10 minutes or so I get: "1 or more of the features can't be installed and setup must exit". It doesn't tell me which feature it can't install so I don't know how to fix this. I am trying to up-grade from Streets & Trips 2006, which works fine, but I want the latest & greatest from 2010.

What to do?
Larry
Hi fisher65,

Hmmm...sounds unusual.

Here is what I would try for starters:

1. Go to Microsoft Windows Update and be sure you have all the latest patches and updates for your OS.
2. Re-start your computer and attempt to install again.
fisher65
Ok, I went to Updates and found I needed this; Microsoft .NET Framework 3.5 Service Pack 1 and .NET Framework 3.5 Family Update for .NET versions 2.0 through 3.5 (KB951847) x86. But it failed. I don't see .Net Framework 2.0 or . Net Framework 3.5 in my 'Add or Delete programs' list. How do I get these?
tcassidy
You should not be offered updates for programs you don't have. Look under 'Microsoft.NET Framework'. However, I can't think why those updates would affect S&T 2010 installation as they are recent.

Terry
Attached Images
framework.jpg  
fisher65
Quote:
Originally Posted by tcassidy
You should not be offered updates for programs you don't have. Look under 'Microsoft.NET Framework'. However, I can't think why those updates would affect S&T 2010 installation as they are recent.

Terry
Every time I boot this laptop up I get the gold sheild for update notification. This KB951847 is always there and now I'm getting KB911895 also. HID Non-user Input Data File. Neither will install and I have tried numerous times.
werdnanostaw
The time before last when I tried to install Autoroute, S&T's European brother, I got the same error message.

I found that if I ran \ARX_2010\Setup_AR.exe rather than \Setup.exe the prerequisite apps were installed.

If I recall correctly, I had to run it several times to get each component to install.

When I installed S&T on a clean rebuild of Win 7 just a few days ago it installed cleanly with no error messages.
fisher65
I'm trying to install Streets and Trips 2010. Won't go. Set up exits because it can't install .net Framework 3.5. I cannot get it to install through Microsoft Updates either. It is the only Critical Update listed that I need to install. What to do?
rodolo
I see this went nowhere, I need this too now.
fisher65
Been a long time but... I think I had to go back and install .net framework 1.
taoyue
That's very unusual. Streets & Trips makes no use of the .NET Framework 1.


There are essentially three different .NET Frameworks that programs can depend on -- the version numbering is very confusing because the 3.x versions were actually addons for version 2.
  • Version 1.0 (also includes 1.1)
  • Version 2.0 (also includes 3.0, 3.5, and 3.5 SP1)
  • Version 4.0
To my knowledge, Streets & Trips uses 3.5, which means version 2.0. It should have nothing to do with version 1.0.

Of course, there's always the possibility that something else went corrupt, and reinstalling .NET 1 fixed it. As Andrew indicated, most programs will install cleanly on a clean computer. It's when a computer has been in use for a while, with lots of other programs installed, that system files have a chance to go corrupt.

I reinstall all my computers from scratch every year or two. The time I spend installing programs is more than made up for by my time savings from not having to deal with corrupt system files.
laptopgpsworld.com About